Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Installation of Xorg-server & Xfce
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Fri Jul 22, 2016 9:57 pm    Post subject: Installation of Xorg-server & Xfce Reply with quote

Hello.
I am installing a Gentoo Linux Xfce in the virtual environment of the VMware Workstation 12 Pro.
It is a situation that can not be the installation of Xorg-server & Xfce.
For a successful installation of Xorg-server & Xfce, does it is I can do.
Please give me advice. very helpful.
Thank you.


Last edited by emochi on Sun Jul 24, 2016 1:55 pm; edited 1 time in total
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43198
Location: 56N 3W

PostPosted: Fri Jul 22, 2016 10:40 pm    Post subject: Reply with quote

emochi,

Run lspci in your gentoo guest in VMWorkstation.
That will show you the hardware that VMWorkstation pretends to have for the Guest.

Install Xorg following the Xorg Guide.
Install for the Guest hardware.
Hint: You will need the vmware video driver.

Do not skip the test with twm, xterm and xclock.

Once the above works, follow the Xfce4 guide.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Sat Jul 23, 2016 1:55 pm    Post subject: Reply with quote

I received your reply, Thank you very much.
# emerge sys-fs/lsscsi
# emerge twm xclock xterm
# emerge mesa

It ran the above command.
I was able to install all.
# lsscsi
[1:0:0:0] cd/dvd NECVMWar VMware IDE CDRIO 1.00 /dev/sr0
[2:0:0:0] disk VMware, VMware Vertual $ 1.0 /dev/sda

# emerge xorg-server
# emerge xf86-video-vmware

It ran the above command.
These could not be installed.
I get a message that "USE changes".

It is the current setting of the USE flags.
CFLAGS=”-march=native -02 –pile”
CXXFLAGS=”${CFLAGS}”
CHOST=”x86_64-pc-linux-guu”
USE=”bindist”
CPU_FLAGS_X86=”mmx sse sse2”
PORTDIR=”/usr/portage”
DISTDIR=”${PORTDIR}/distfiles”
PKGDIR=”${PORTDIR}/packages”
VIDEO_CARDS=”vmware”
INPUT_DEVICES=”edev keyboard mouse”
MAKEOPTS=”-j3”

"Xorg-server & xf86-video-vmware" to install could not.

Host OS Windows 10 Home Version 1511 (OS Build 10586.494)
PC: SONY VAIO Pro 13 [Intel Core i3-4010U]
Thank you.

Below I have it added.
VIDEO_CARDS=”vmware”
INPUT_DEVICES=”edev keyboard mouse”
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43198
Location: 56N 3W

PostPosted: Sat Jul 23, 2016 2:10 pm    Post subject: Reply with quote

emochi,

emochi wrote:
I get a message that "USE changes".

I guess that portage is saying that it cannot install one or more packages because there are USE flags either not set when they are needed or set when they must not be.
Please post the entire message.

Many USE flags are set correctly when you make the correct choice of profile.

Code:
eselect profile list
will list all the available profiles and show the active one with a * next to it.
What is your active profile.
Everything else you posted looks good.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Sun Jul 24, 2016 3:52 am    Post subject: Reply with quote

Hello.
eselect profile list
[1] default/linux/amd64/13.0
[2] default/linux/amd64/13.0/selinux
[3] default/linux/amd64/13.0/desktop
[4] default/linux/amd64/13.0/desktop/gnome
[5] default/linux/amd64/13.0/desktop/gnome/system
[6] default/linux/amd64/13.0/desktop/kde *
[7] default/linux/amd64/13.0/kde/systmd
[8] default/linux/amd64/13.0/plasma
[9] default/linux/amd64/13.0/plasma/systmd
[10] default/linux/amd64/13.0/developer
[11] default/linux/amd64/13.0/no-multilib
[12] default/linux/amd64/13.0/system
[13] default/linux/amd64/13.0/x32
[14] hardened/linux/amd64
[15] hardened/linux/amd64/selinux
[16] hardened/linux/amd64/no-multilib
[17] hardened/linux/amd64/no-multilib/selinux
[18] hardened/linux/amd64/x32
[19] hardened/linux/musl/amd64
[20] hardened/linux/musl/amd64/x32
[21] default/linux/uclibc/amd64
[22] hardened/linux/uclibc/amd64

I chose the "[6] kde".

emerge xorg-server

# required by x11-base/xorg-drivers-1.17:: gentoo [video_cards_vmware]
# required by x11-base/xorg-server-1.17.4:: gentoo [xorg]
# required by x11-drivers/xf86-input-mouse-1.9.1:: gentoo
>=media-libs/mesa-11.0.6 xa
# required by x11-drivers/xf86-video-vmware-13.1.0:: gentoo
# required by x11-base/xorg-drivers-1.17:: gentoo [video_cards_vmware]
# required by x11-base/xorg-server-1.17.4:: gentoo [xorg]
# required by x11-drivers/xf86-input-mouse-1.9.1:: gentoo
>=x11-libs/libdrm-2.4.65 libkms

Use –autounmask-write to write changes to config files (honoring CONFIG_PROJECT).Carefully examine the list of proposed changes, paying special attention to mask or keyword changes that may expose experimental or unstable packages.

emerge: there are no ebuilds built with USE flags to satisfy “media-libs/mesa [xa]”
!!!One of the following packages is required to complete your reruuest: - media-libs/mesa-10.3.7-r1:: gentoo (Change USE: +xa)
(dependency required by “x11-drivers/xf86-video-vmware-13.1.0:: gentoo” [ebuild])
(dependency required by “x11-base/xorg-drivers1.17:: gentoo [video_cards_vmware] [ebuild])
(dependency required by “x11-base/xorg-server-1.17.4:: gentoo [xorg] [ebuild])
(dependency required by “x11-drivers/xf86-input-mause-1.9.1:: gentoo [ebuild])

◇ small screen resolution, I think that some could not take notes.

emerge xf86-video-vmware

) –qxl –r128 –radeon –radeonsi –rendition –s3 –s3virge –savage –siliconmotion –sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) –tdfx (-tegra) –tga –trident –tseng –vesa –via –virtualbox (-voodoo)”
[ebuild N ] x11-drivers/xf86-input-keyboard-1.8.1
[ebuild N ] x11-drivers/xf86-input-muse-1.9.1
[ebuild N ] x11-drivers/xf86-video-vmware-13.1.0

The following USE changes are necessary to proceed:
(see “pachage.use” in the portage(5) man page for more details)
# requored by x11-drivers/xf86-video-vmware-13.1.0:: gentoo
# requored by x11-base/xorg-drivers-1.17:: gentoo [video_cards_vmware]
# requored by x11-base/xorg-server-1.17.4:: gentoo [xorg]
# requored by x11-drivers/xf86-input-keyboard-1.8.1:: gentoo
>=x11-libs/libdrm-2.4.65 libkms
# requored by x11-drivers/xf86-video-vmware-13.1.0:: gentoo
# requored by x11-base/xorg-drivers-1.17:: gentoo [video_cards_vmware]
# requored by x11-base/xorg-server-1.17.4:: gentoo [xorg]
# requored by x11-drivers/xf86-input-keyboard-1.8.1:: gentoo
>=media-libs/mesa-11.0.6 xa

Use –autounmask-write to write changes to config files (honoring CONFIG_PROJECT).Carefully examine the list of proposed changes, paying special attention to mask or keyword changes that may expose experimental or unstable packages.

◇ small screen resolution, I think that some could not take notes.

It is the message as described above.
Thank you for your professor.


It is the current setting of the USE flags.
CFLAGS=”-march=native -02 –pile”
CXXFLAGS=”${CFLAGS}”
CHOST=”x86_64-pc-linux-guu”
USE=”bindist”
CPU_FLAGS_X86=”mmx sse sse2”
PORTDIR=”/usr/portage”
DISTDIR=”${PORTDIR}/distfiles”
PKGDIR=”${PORTDIR}/packages”
VIDEO_CARDS=”vmware”
INPUT_DEVICES=”edev keyboard mouse”
MAKEOPTS=”-j3”

GENTOO_MIRRORS=http://ftp.iij.ad.jp/pub/linux/gentoo/

SYNC=”rsync://rsync.jp.gentoo.org/genntoo-portage”

"Xorg-server & xf86-video-vmware" to install could not.

Host OS Windows 10 Home Version 1511 (OS Build 10586.494)
PC: SONY VAIO Pro 13 [Intel Core i3-4010U]
Thank you.

Below I have it added.
VIDEO_CARDS=”vmware”
INPUT_DEVICES=”edev keyboard mouse”
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43198
Location: 56N 3W

PostPosted: Sun Jul 24, 2016 8:43 am    Post subject: Reply with quote

emochi,

The two parts co the message below are separate.
Code:
# required by x11-base/xorg-drivers-1.17:: gentoo [video_cards_vmware]
# required by x11-base/xorg-server-1.17.4:: gentoo [xorg]
# required by x11-drivers/xf86-input-mouse-1.9.1:: gentoo
>=media-libs/mesa-11.0.6 xa

The part above shows that mesa needs to be compiled with USE=xa and gives the reason.


Code:
# required by x11-drivers/xf86-video-vmware-13.1.0:: gentoo
# required by x11-base/xorg-drivers-1.17:: gentoo [video_cards_vmware]
# required by x11-base/xorg-server-1.17.4:: gentoo [xorg]
# required by x11-drivers/xf86-input-mouse-1.9.1:: gentoo
>=x11-libs/libdrm-2.4.65 libkms

Similarly, libdrm needs USE=libkms

Autounmask has saved the required changes to your system, to make them take effect, you need to update the configuration files.
Portage should have given you a notice about that.

However there is a common package that you do not need.
Code:
# required by x11-drivers/xf86-input-mouse


In the list
Code:
INPUT_DEVICES=”edev keyboard mouse”
only evdev is needed.
Remove both keyboard and mouse.
INPUT_DEVICES=”mouse" causes drivers/xf86-input-mouse to be installed, which is the common package causing your issue.

INPUT_DEVICES=”evdev" covers keyboards and mice.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Sun Jul 24, 2016 1:47 pm    Post subject: Reply with quote

Hello.
I was able to install the "xorg-server & xf86-video-vmware".
I thank that we received precious your professor.
The desktop of the environment, I want to install "Xfce".
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43198
Location: 56N 3W

PostPosted: Sun Jul 24, 2016 2:03 pm    Post subject: Reply with quote

emochi,

Enjoy your Gentoo :)
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Mon Jul 25, 2016 10:28 am    Post subject: Reply with quote

Hello.

Setting of USEflag
root # nano -w /etc/portage/make.conf

Edit as described below, it added.
USE="-gnome -kde -minimal -qt4 dbus jpeg lock session startup-notification thunar udev X"
XFCE_PLUGIN="brightness clock trash"

I installed the following procedure.
root # emerge --ask xfce-base/xfce4-meta
root # for x in usb cdrom cdrw ; do gpasswd -a username $x ; done
root # env-update && source /etc/profile
root # emerge x11-term/xfce4-terminal

user $ echo “exec startxfce4” > ~/.xinitrc

user $ startxfce4

Gentoo Xfce desktop screen does not respond gone solidified.

Would you have any improvements that can be me.
Thank you for your professor.


Last edited by emochi on Thu Dec 22, 2016 2:16 pm; edited 1 time in total
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Mon Jul 25, 2016 5:22 pm    Post subject: Reply with quote

Cause of Gentoo Xfce does not start did not know well.
I think there was a cause of something failed in the course of the installation.
Also I would like to create a virtual machine of Gentoo Xfce if there is an opportunity.
I'm really thankful to you.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43198
Location: 56N 3W

PostPosted: Mon Jul 25, 2016 6:00 pm    Post subject: Reply with quote

emochi,

That screenshot shows a one time set up screen.
Press enter.

If its stuck, click the button.

If that fails too, there is a problem with user input.

Get control again. Do not start X.
Code:
emerge wgetpaste
wgetpaste /var/log/Xorg.0.log
Thats numeral 0 not letter O.

Post the URL you get back.

You can have a Virtual Machine too.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Wed Jul 27, 2016 4:08 am    Post subject: Reply with quote

Hello.

user $ wgetpaste /var/log/Xorg.0.log
Your paste can seen here: http://bpaste.net/show/eae3c87c1d03

Thank you very much.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21782
Location: here

PostPosted: Wed Jul 27, 2016 12:15 pm    Post subject: Reply with quote

emochi wrote:
Your paste can seen here: http://bpaste.net/show/eae3c87c1d03

It seems that some xorg driver is missing. Try to add this line in make.conf:
Code:
VIDEO_CARDS="fbdev vesa vmware"
INPUT_DEVICES="evdev keyboard mouse vmmouse"

and then run
Code:
# emerge -ND @world

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43198
Location: 56N 3W

PostPosted: Wed Jul 27, 2016 10:08 pm    Post subject: Reply with quote

emochi,

[ 67.499] (II) LoadModule: "evdev"
[ 67.499] (WW) Warning, couldn't open module evdev
[ 67.499] (II) UnloadModule: "evdev"
[ 67.499] (II) Unloading evdev
[ 67.499] (EE) Failed to load module "evdev" (module does not exist, 0)

Tells that xf86-input-evdev is missing. That's the keyboard and mouse driver.
Setting INPUT_DEVICES="evdev" then
Code:
emerge xf86-input-evdev
should make the keyboard and mouse work.

A few posts ago you said you had set INPUT_DEVICES="edev" Notice the missing 'v'
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Fri Jul 29, 2016 10:41 am    Post subject: Reply with quote

Thank you very much.
Many thanks.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Fri Jul 29, 2016 10:18 pm    Post subject: Reply with quote

Thanks so much NeddySeagoon.
Thanks so much fedeliallalinea.

Thanks to the advice of everyone, I was able to create a new virtual machine.
I'm really thankful to you.

Sincerely thank.

This is a screen shot of the "Gentoo Xfce".
https://scrot.moe/images/2016/07/30/GentooXfce-2016-07-30-19-14-55.png


Last edited by emochi on Thu Dec 22, 2016 2:18 pm; edited 1 time in total
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Sun Jul 31, 2016 12:11 am    Post subject: Reply with quote

Hello.

I want to install the "www-client / midori & mail-client / thunderbird" in the virtual machine.
I want to know how to find the settings of USE flags.
Thank you.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43198
Location: 56N 3W

PostPosted: Sun Jul 31, 2016 8:31 am    Post subject: Reply with quote

emochi,

First, choose a desktop profile using
Code:
eselect profile

Next, run
Code:
emerge www-client/midori mail-client/thunderbird -Nvp


Examine the USE settings. If they provide the optional features you want, run the emerge again without the -p
If you need to change some of the optional features, adjust the USE flags to match your requirement.
There is no correct USE flag settings that we can tell you.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Sun Jul 31, 2016 2:49 pm    Post subject: Reply with quote

Thanks a lot NeddySeagoon.

For installation of "www-client/midori"

root # nano -w /etc/portage/make.conf

CFLAGS=”-march=native -02 –pile”
CXXFLAGS=”${CFLAGS}”
CHOST=”x86_64-pc-linux-guu”
USE=”deprecated granite webkit2 zeitgeist doc introspection jit xscreensaver bindist xa libkms”
CPU_FLAGS_X86=”mmx sse sse2”
PORTDIR=”/usr/portage”
DISTDIR=”${PORTDIR}/distfiles”
PKGDIR=”${PORTDIR}/packages”
VIDEO_CARDS=”fbdev vesa vmware”
INPUT_DEVICES=”evdev keyboard mouse vmmouse”
MAKEOPTS=”-j3”

root # eselect profile list
Available profile symlink targets:
[1] default/linux/amd64/13.0
[2] default/linux/amd64/13.0/selinux
[3] default/linux/amd64/13.0/desktop *
[4] default/linux/amd64/13.0/desktop/gnome
[5] default/linux/amd64/13.0/desktop/gnome/system
[6] default/linux/amd64/13.0/desktop/kde
[7] default/linux/amd64/13.0/kde/systmd
[8] default/linux/amd64/13.0/plasma
[9] default/linux/amd64/13.0/plasma/systmd
[10] default/linux/amd64/13.0/developer
[11] default/linux/amd64/13.0/no-multilib
[12] default/linux/amd64/13.0/system
[13] default/linux/amd64/13.0/x32
[14] hardened/linux/amd64
[15] hardened/linux/amd64/selinux
[16] hardened/linux/amd64/no-multilib
[17] hardened/linux/amd64/no-multilib/selinux
[18] hardened/linux/amd64/x32
[19] hardened/linux/musl/amd64
[20] hardened/linux/musl/amd64/x32
[21] default/linux/uclibc/amd64
[22] hardened/linux/uclibc/amd64

root # emerge www-client/midori -Nvp
!!! SYNC setting found in make.conf.
This setting is Deprecated and no longer used. Please ensure your ‘sync-type’ and ‘sync-uri’ are set correctly in /etc/portage/repos.conf/Gentoo.conf

*INPORTANT: 14 config files ‘/etc/portage’ need updating.
*See the CONFIGURATION FILES and CONFIGURATION FILES UODATE TOOLS
*sections of the emerge man page to learn how to update config files.

These are the packages that would be merged, in order:
Calculating dependencies /
!!! Problem resolving dependencies for www-client/midori
… done!
!!! The ebuild selected to satisfy “www-client/midori” has unmet requirements.
- www-client/midori-0.5.11-r1::gentoo USE=”deprecated doc granite introspection jit webkit2 xscreensaver zeitgeist“ ABI_X86=”64”

The following REQUIRED_USE flag constraints are unsatisfied:
granite? ( !deprecated ) webkit2? ( !deprecated )

The above constraints are a subset of the following complete expression:
granite? ( !deprecated ) instrospection? ( deprecated ) webkit2? ( !deprecated )

*INPORTANT: 11 news items need reading for repository ‘gentoo’.
*Use eselect news read to view new items.

root # emerge www-client/midori -Nv
!!! SYNC setting found in make.conf.
This setting is Deprecated and no longer used. Please ensure your ‘sync-type’ and ‘sync-uri’ are set correctly in /etc/portage/repos.conf/Gentoo.conf

*INPORTANT: 11 news items need reading for repository ‘gentoo’.
*Use eselect news read to view new items.

*INPORTANT: 14 config files ‘/etc/portage’ need updating.
*See the CONFIGURATION FILES and CONFIGURATION FILES UODATE TOOLS
*sections of the emerge man page to learn how to update config files.

These are the packages that would be merged, in order:
Calculating dependencies /
!!! Problem resolving dependencies for www-client/midori
… done!
!!! The ebuild selected to satisfy “www-client/midori” has unmet requirements.
- www-client/midori-0.5.11-r1::gentoo USE=”deprecated doc granite introspection jit webkit2 xscreensaver zeitgeist“ ABI_X86=”64”

The following REQUIRED_USE flag constraints are unsatisfied:
granite? ( !deprecated ) webkit2? ( !deprecated )

The above constraints are a subset of the following complete expression:
granite? ( !deprecated ) instrospection? ( deprecated ) webkit2? ( !deprecated )

It could not be well installed.
Or my way is correct.
Modify Need.

Thank you.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43198
Location: 56N 3W

PostPosted: Sun Jul 31, 2016 2:57 pm    Post subject: Reply with quote

emochi,

Some combinations of USE settings are not permitted.
Code:
!!! The ebuild selected to satisfy “www-client/midori” has unmet requirements.
- www-client/midori-0.5.11-r1::gentoo USE=”deprecated doc granite introspection jit webkit2 xscreensaver zeitgeist“ ABI_X86=”64”

The following REQUIRED_USE flag constraints are unsatisfied:
granite? ( !deprecated ) webkit2? ( !deprecated )


Here, if granite is on, then deprecated must be off.
If webkit2 is on, then deprecated must be off.

Your USE says ...
Code:
USE=”deprecated granite webkit2 ...

Remove deprecated to allow the build to work.

This is important too ...

Code:
*INPORTANT: 11 news items need reading for repository ‘gentoo’.
*Use eselect news read to view new items.

*INPORTANT: 14 config files ‘/etc/portage’ need updating.
*See the CONFIGURATION FILES and CONFIGURATION FILES UODATE TOOLS
*sections of the emerge man page to learn how to update config files.

_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Chiitoo
Administrator
Administrator


Joined: 28 Feb 2010
Posts: 1773
Location: Here and Away Again

PostPosted: Sun Jul 31, 2016 5:02 pm    Post subject: ><)))°€ Reply with quote

Hajimemashite!

It may also be worth noting that the package is going away soon (about 30 days from now):

Code:
- www-client/midori-0.5.11-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Pacho Ramos <pacho@gentoo.org> (31 Jul 2016)
# Upstream looks completely dead for a long time, doesn't reply to any bug
# we report to them. This relies on obsolete software like (#587448) and
# other bugs are being accumulated without any fix/attention. Removal in a
# month if nobody comes with the fixes.

It is still possible to use the ebuild after it's gone, provided the sources will be available, but it will not come from the Gentoo Portage (an 'overlay' will be needed).
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Mon Aug 01, 2016 8:22 am    Post subject: Reply with quote

Thanks so much NeddySeagoon.
Thanks so much Chiitoo.
Hajimemashite!

root # nano -w /etc/portage/make.conf
CFLAGS=”-march=native -02 –pile”
CXXFLAGS=”${CFLAGS}”
CHOST=”x86_64-pc-linux-guu”
USE=”bindist xa libkms”
CPU_FLAGS_X86=”mmx sse sse2”
PORTDIR=”/usr/portage”
DISTDIR=”${PORTDIR}/distfiles”
PKGDIR=”${PORTDIR}/packages”
VIDEO_CARDS=”fbdev vesa vmware”
INPUT_DEVICES=”evdev keyboard mouse vmmouse”
MAKEOPTS=”-j3”

root # emerge -ND @world

After you complete this task, you will not be able to change the resolution of the Display.
Resolution of the Display has been fixed at 800x600.
Is there a way to improve something.
◇ Before performing this task, the backup of the virtual machine is created.

"reply"
Has been deleted "USE =" deprecated granite webkit2 zeitgeist doc introspection jit xscreensaver bindist xa libkms "" from "deprecated granite webkit2 zeitgeist doc introspection jit xscreensaver".

In "eselect news read" command, I want to read the news.
Since the "copy & paste" is not available, now we are taking a note, but it takes time.
If you can install a web browser, it will be very convenient.

* INPORTANT: 14 config files '/ etc / portage' need updating.
* See the CONFIGURATION FILES and CONFIGURATION FILES UODATE TOOLS
* Sections of the emerge man page to learn how to update config files.

To update the "14 config files '/ etc / portage'" is, or specifically requires any operation procedure.

"* See the CONFIGURATION FILES and CONFIGURATION FILES UODATE TOOLS"
Is this may be referred to anywhere.

"* Sections of the emerge man page to learn how to update config files."
How to update the configuration file, "etc-update" Is.

The "(an 'overlay' will be needed)" 'overlay', do you specifically do, regardless of what you do.

When you are using the Mousepad, you get the following message.
"Warning, you are using the root account, you may harm your system."
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Mon Aug 01, 2016 2:57 pm    Post subject: Reply with quote

This thread, I will consider it as the end in this.
Everyone, Thank you.
Back to top
View user's profile Send private message
Chiitoo
Administrator
Administrator


Joined: 28 Feb 2010
Posts: 1773
Location: Here and Away Again

PostPosted: Tue Aug 02, 2016 12:04 pm    Post subject: Reply with quote

A new thread for help with other topics will be better, yes, but I will reply to some of the questions here.

emochi wrote:
"* Sections of the emerge man page to learn how to update config files."
How to update the configuration file, "etc-update" Is.

An alternative to 'etc-update':

Code:
dispatch-conf

Both are OK.

Quote:
The "(an 'overlay' will be needed)" 'overlay', do you specifically do, regardless of what you do.

Overlays are explained at our wiki: https://wiki.gentoo.org/wiki/Overlay

Note also the Japanese version (78% translated at the time of writing): https://wiki.gentoo.org/wiki/Overlay/ja

You will need to use this for software not available via Gentoo Portage, and Midori will be one of those if it is removed after 1 month.

Quote:
When you are using the Mousepad, you get the following message.
"Warning, you are using the root account, you may harm your system."

Is this message from Xfce?

It is not recommended to run things like Xfce and friends as the 'root' user. It is best to always use a 'normal' user for normal use of the computer.
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Wed Aug 03, 2016 1:17 am    Post subject: Reply with quote

Thanks for reply Chiitoo.

I ran the following command.

root # emerge --ask --oneshot sys-apps/portage
root # etc-update

Now, the problem has been corrected.
Thanks for your advice.

Using the "Overlay", I think to try to install the midori or chromium.

root # emerge --ask layman
root # echo PORTDIR_OVERLAY=\”\” > /var/lib/layman/make.conf
root # echo “source /var/lib/layman/make.conf” >> /etc/portage/make.conf

root # layman –L
root # layman –a gentoo

Currently, I was able to work up to this point.

Also, please do tell us a lot.
We are looking forward to hearing from you.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum